#
# spec file for package kdesdk4 (Version 4.3.5)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           kdesdk4
BuildRequires:  db-devel flex kdebase4-workspace-devel strigi
BuildRequires:  libkdepimlibs4-devel oxygen-icon-theme subversion-devel
License:        GPLv2 ; GPLv2+
Group:          System/GUI/KDE
Summary:        KDE SDK Package
Url:            http://www.kde.org/
Version:        4.3.5
Release:        0.1.4
Source0:        kdesdk-%version.tar.bz2
Patch:          4_3_BRANCH.diff
Patch2:         desktop-files.diff
Patch3:         libkstartperf-no-lib.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%kde4_runtime_requires
Suggests:       kdesdk4-scripts
Suggests:       cervisia
Suggests:       kbugbuster
Suggests:       kate
Suggests:       kde4-l10n-devel
Suggests:       kuiviewer
Suggests:       kcachegrind
Suggests:       kde4-kapptemplate
Suggests:       kio_svn
Suggests:       kmtrace
Suggests:       kstartperf
Suggests:       kdesdk4-kdeaccounts
Suggests:       umbrello
Suggests:       kpartloader
Suggests:       kompare
Suggests:       lokalize

%description
This package suggests the packages, built from the kdesdk module.



Authors:
--------
    The KDE Team <kde@kde.org>

%prep
%setup -q -n kdesdk-%version
%patch
%patch2
%patch3

%build
%ifarch ppc64
RPM_OPT_FLAGS="$RPM_OPT_FLAGS -mminimal-toc"
%endif
  %cmake_kde4 -d build
  %make_jobs

%install
  cd build
  %makeinstall
%if 0
  cp /usr/share/icons/oxygen/128x128/apps/kate.png $RPM_BUILD_ROOT/usr/share/icons/hicolor/128x128/apps/
  cp /usr/share/icons/oxygen/16x16/apps/kate.png $RPM_BUILD_ROOT/usr/share/icons/hicolor/16x16/apps/
  cp /usr/share/icons/oxygen/22x22/apps/kate.png $RPM_BUILD_ROOT/usr/share/icons/hicolor/22x22/apps/
  cp /usr/share/icons/oxygen/32x32/apps/kate.png $RPM_BUILD_ROOT/usr/share/icons/hicolor/32x32/apps/
  cp /usr/share/icons/oxygen/48x48/apps/kate.png $RPM_BUILD_ROOT/usr/share/icons/hicolor/48x48/apps/
  cp /usr/share/icons/oxygen/64x64/apps/kate.png $RPM_BUILD_ROOT/usr/share/icons/hicolor/64x64/apps/
%endif
  %create_subdir_filelist -d cervisia
  %create_subdir_filelist -d kapptemplate
  %create_subdir_filelist -d kate -v kate.devel
  %create_subdir_filelist -d kbugbuster
  %create_subdir_filelist -d kcachegrind
  %create_subdir_filelist -d kdeaccounts-plugin
  %create_subdir_filelist -d kioslave
  %create_subdir_filelist -d kmtrace
  %create_subdir_filelist -d kstartperf
  %create_subdir_filelist -d kuiviewer
  %create_subdir_filelist -d scripts
  %create_subdir_filelist -d umbrello
  %create_subdir_filelist -d kpartloader
  %create_subdir_filelist -d kompare
  %create_subdir_filelist -d poxml
  %create_subdir_filelist -d lokalize
  cd ..
  sed -ri s,.*/usr/share/man/man1/cervisia.1.*,, filelists/cervisia
  %create_exclude_filelist
  %suse_update_desktop_file    kuiviewer      Development GUIDesigner
  %suse_update_desktop_file    umbrello       Development Design
  %suse_update_desktop_file -r kompare        Utility TextEditor
  %suse_update_desktop_file    kbugbuster     Development Debugger
  %suse_update_desktop_file    cervisia       Development RevisionControl
  %suse_update_desktop_file    kcachegrind    Development Profiling
  %suse_update_desktop_file    kate           TextEditor
  %suse_update_desktop_file    kapptemplate
  %suse_update_desktop_file -r lokalize       Development Translation
  # fix conflict with kdesdk3
  rm $RPM_BUILD_ROOT/usr/share/man/man1/cervisia.1
  %kde_post_install

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
  rm -rf $RPM_BUILD_ROOT
  rm -rf filelists

%package scripts
License:        GPLv2+
Group:          System/GUI/KDE
Summary:        Scripts for KDE Development
%kde4_runtime_requires

%description scripts
This package contains the scripts for KDE development which are
contained in the kdesdk module.



Authors:
--------
    The KDE Team <kde@kde.org>

%post scripts -p /sbin/ldconfig

%postun scripts -p /sbin/ldconfig

%files scripts -f filelists/scripts
%defattr(-,root,root)
%doc COPYING COPYING.DOC README
%dir %lang(en) /usr/share/doc/kde/HTML/en/kdesvn-build

%package -n kde4-l10n-devel
License:        GPLv2+
Group:          System/GUI/KDE
Summary:        KDE SDK Package
%kde4_runtime_requires

%description -n kde4-l10n-devel
This package suggests the packages, built from the kdesdk module.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n kde4-l10n-devel -p /sbin/ldconfig

%postun -n kde4-l10n-devel -p /sbin/ldconfig

%files -n kde4-l10n-devel -f filelists/poxml
%defattr(-,root,root)
%doc COPYING COPYING.DOC README

%package -n lokalize
License:        GPLv2+
Group:          System/GUI/KDE
Summary:        KDE Translation Editor
# Requires strigila_po.so (bnc#410716)
Requires:       kdesdk4
%kde4_runtime_requires
Requires:       libqt4_sql_backend python-kde4
Provides:       kde4-lokalize = 4.3.0
Obsoletes:      kde4-lokalize < 4.3.0

%description -n lokalize
This package contains lokalize, an editor for translations



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n lokalize -p /sbin/ldconfig

%postun -n lokalize -p /sbin/ldconfig

%files -n lokalize -f filelists/lokalize
%defattr(-,root,root)
%doc COPYING COPYING.DOC README

%package -n cervisia
License:        GPLv2+
Group:          Development/Tools/Version Control
Summary:        CVS Frontend
%kde4_runtime_requires
Provides:       kde4-cervisia = 4.3.0
Obsoletes:      kde4-cervisia < 4.3.0

%description -n cervisia
Cervisia is a to work with and browse in CVS repositories.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n cervisia -p /sbin/ldconfig

%postun -n cervisia -p /sbin/ldconfig

%files -n cervisia -f filelists/cervisia
%defattr(-,root,root)
%doc COPYING COPYING.DOC README
%dir %_kde4_appsdir/cervisiapart

%package -n kbugbuster
License:        GPLv2+
Group:          Development/Tools/Other
Summary:        Bugzilla Client
%kde4_runtime_requires
Provides:       kde4-kbugbuster = 4.3.0
Obsoletes:      kde4-kbugbuster < 4.3.0

%description -n kbugbuster
KBugbuster is a KDE client for Bugzilla server.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n kbugbuster -p /sbin/ldconfig

%postun -n kbugbuster -p /sbin/ldconfig

%files -n kbugbuster -f filelists/kbugbuster
%defattr(-,root,root)
%doc COPYING COPYING.DOC README

%package -n kate-devel
License:        GPLv2+
Group:          Productivity/Editors/Other
Summary:        Advanced Text Editor Development Headers
Requires:       kate
Provides:       kde4-kate-devel = 4.3.0
Obsoletes:      kde4-kate-devel < 4.3.0

%description -n kate-devel
Files needed for development of Kate plugins.



Authors:
--------
    The KDE Team <kde@kde.org>

%files -n kate-devel -f filelists/kate.devel
%defattr(-,root,root)
%doc COPYING COPYING.DOC README
%dir /usr/include/kate

%package -n kate
License:        GPLv2+
Group:          Productivity/Editors/Other
Summary:        Advanced Text Editor
%kde4_runtime_requires
Provides:       kdebase3:/opt/kde3/bin/kate
Provides:       kde4-kate = 4.3.0
Obsoletes:      kde4-kate < 4.3.0
Suggests:       ctags

%description -n kate
Kate is an advanced text editor for KDE.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n kate -p /sbin/ldconfig

%postun -n kate -p /sbin/ldconfig

%files -n kate -f filelists/kate
%defattr(-,root,root)
%doc COPYING COPYING.DOC README
%doc %lang(en) %_kde4_htmldir/en/kate-plugins
%config %_kde_config_dir/katefiletemplates.knsrc

%package -n kuiviewer
License:        GPLv2+
Group:          Development/Tools/Other
Summary:        UI Files Viewer
%kde4_runtime_requires
Provides:       kde4-kuiviewer = 4.3.0
Obsoletes:      kde4-kuiviewer < 4.3.0

%description -n kuiviewer
Displays Qt Designer UI files



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n kuiviewer -p /sbin/ldconfig

%postun -n kuiviewer -p /sbin/ldconfig

%files -n kuiviewer -f filelists/kuiviewer
%defattr(-,root,root)
%doc COPYING COPYING.DOC README
%dir %_kde4_appsdir/kuiviewerpart

%package -n kcachegrind
License:        GPLv2+
Group:          Development/Tools/Other
Summary:        Frontend for Cachegrind
%kde4_runtime_requires
Provides:       kde4-kcachegrind = 4.3.0
Obsoletes:      kde4-kcachegrind < 4.3.0

%description -n kcachegrind
KCachegrind is a frontend for cachegrind.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n kcachegrind -p /sbin/ldconfig

%postun -n kcachegrind -p /sbin/ldconfig

%files -n kcachegrind -f filelists/kcachegrind
%defattr(-,root,root)
%doc COPYING COPYING.DOC README

%package -n kde4-kapptemplate
License:        GPLv2+
Group:          System/GUI/KDE
Summary:        Template for KDE Application Development
%kde4_runtime_requires

%description -n kde4-kapptemplate
This package contains templates to start the development of a new KDE
application/part/plugin.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n kde4-kapptemplate -p /sbin/ldconfig

%postun -n kde4-kapptemplate -p /sbin/ldconfig

%files -n kde4-kapptemplate -f filelists/kapptemplate
%defattr(-,root,root)
%doc COPYING COPYING.DOC README
%dir %_kde4_appsdir/kdevappwizard
%dir %_kde4_appsdir/kdevappwizard/templates
%dir %_kde4_appsdir/kdevappwizard/template_previews

%package -n kio_svn
License:        GPLv2+
Group:          System/GUI/KDE
Summary:        KDE KIO-Slave for SVN
%kde4_runtime_requires
Provides:       kde4-kio_svn = 4.3.0
Obsoletes:      kde4-kio_svn < 4.3.0

%description -n kio_svn
This KDE KIO-Slave allows to browse SVN repositories in file managers.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n kio_svn -p /sbin/ldconfig

%postun -n kio_svn -p /sbin/ldconfig

%files -n kio_svn -f filelists/kioslave
%defattr(-,root,root)
%doc COPYING COPYING.DOC README
%dir %_kde4_appsdir/kio_perldoc

%package -n kmtrace
License:        GPLv2+
Group:          Development/Tools/Other
Summary:        Memory Allocation Debugging Tool
%kde4_runtime_requires
Provides:       kde4-kmtrace = 4.3.0
Obsoletes:      kde4-kmtrace < 4.3.0

%description -n kmtrace
This is a KDE tool to assist with malloc debugging using glibc's
"mtrace" functionality.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n kmtrace -p /sbin/ldconfig

%postun -n kmtrace -p /sbin/ldconfig

%files -n kmtrace -f filelists/kmtrace
%defattr(-,root,root)
%doc COPYING COPYING.DOC README

%package -n kstartperf
License:        GPLv2+
Group:          Development/Tools/Other
Summary:        KDE Benchmarking Tool
%kde4_runtime_requires
Provides:       kde4-kstartperf = 4.3.0
Obsoletes:      kde4-kstartperf < 4.3.0

%description -n kstartperf
Startup time measurement tool for KDE applications



Authors:
--------
    The KDE Team <kde@kde.org>

%files -n kstartperf -f filelists/kstartperf
%defattr(-,root,root)
%doc COPYING COPYING.DOC README

%package kdeaccounts
License:        GPLv2+
Group:          System/GUI/KDE
Summary:        KAddressBook Plugins for Developer Database
%kde4_runtime_requires
%kde4_pimlibs_requires

%description kdeaccounts
This package contains a plugin for KAddressBook to include KDE SVN
accounts.



Authors:
--------
    The KDE Team <kde@kde.org>

%post kdeaccounts -p /sbin/ldconfig

%postun kdeaccounts -p /sbin/ldconfig

%files kdeaccounts -f filelists/kdeaccounts-plugin
%defattr(-,root,root)
%doc COPYING COPYING.DOC README

%package -n umbrello
License:        GPLv2+
Group:          Development/Tools/Other
Summary:        UML Modeller
%kde4_runtime_requires
Provides:       kde4-umbrello = 4.3.0
Obsoletes:      kde4-umbrello < 4.3.0

%description -n umbrello
Umbrello is a UML modelling application.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n umbrello -p /sbin/ldconfig

%postun -n umbrello -p /sbin/ldconfig

%files -n umbrello -f filelists/umbrello
%defattr(-,root,root)
%doc COPYING COPYING.DOC README

%package -n kpartloader
License:        GPLv2 ; GPLv2+
Group:          System/GUI/KDE
Summary:        KDE SDK Package
%kde4_runtime_requires
Provides:       kde4-kpartloader = 4.3.0
Obsoletes:      kde4-kpartloader < 4.3.0

%description -n kpartloader
This package suggests the packages, built from the kdesdk module.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n kpartloader -p /sbin/ldconfig

%postun -n kpartloader -p /sbin/ldconfig

%files -n kpartloader -f filelists/kpartloader
%defattr(-,root,root)
%doc COPYING COPYING.DOC README

%package -n kompare
License:        GPLv2+
Group:          Development/Tools/Other
Summary:        File Comparator
%kde4_runtime_requires
Provides:       kde4-kompare = 4.3.0
Obsoletes:      kde4-kompare < 4.3.0

%description -n kompare
Tool to visualize changes between two versions of a file.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n kompare -p /sbin/ldconfig

%postun -n kompare -p /sbin/ldconfig

%files -n kompare -f filelists/kompare
%defattr(-,root,root)
%doc COPYING COPYING.DOC README
%dir /usr/include/kompare 

%files -f filelists/exclude
%defattr(-,root,root)
%doc COPYING COPYING.DOC README
%_kde4_libdir/strigi/strigila_diff.so
/usr/include/kprofilemethod.h
%_kde4_libdir/strigi/strigila_po.so
%_kde4_libdir/strigi/strigita_ts.so
/usr/share/strigi/fieldproperties/strigi_translation.fieldproperties

%changelog
* Thu Jan 21 2010 dmueller@suse.de
- update to 4.3.5
  * see http://kde.org/announcements/changelogs/changelog4_3_4to4_3_5.php for details
* Thu Dec  3 2009 dmueller@suse.de
- update to 4.3.4
  * see http://kde.org/announcements/changelogs/changelog4_3_3to4_3_4.php for details
* Thu Nov 19 2009 llunak@novell.com
- sync 11.2 KDE packages with SLE (fate#305847)
* Thu Sep 24 2009 beineri@opensuse.org
- update 4_3_BRANCH.diff: icon fixes and translation updates
* Fri Aug 28 2009 dmueller@suse.de
- update to 4.3.1
  * see http://kde.org/announcements/changelogs/changelog4_3_0to4_3_1.php for details
* Sun Aug 23 2009 tittiatcoke@gmail.com
- Added a patch to enable build by resolving two
    void-return-in-non-void-function errors
* Thu Aug 20 2009 beineri@opensuse.org
- kompare is no real VCS, don't have Development/ in default install
* Fri Jul 31 2009 llunak@suse.cz
- suggest ctags for kate (bnc#527074)
* Wed Jul 29 2009 dmueller@suse.de
- update to 4.3.0
  * see http://kde.org/announcements/4.3 for details
* Tue Jul 21 2009 dmueller@suse.de
- update to 4.2.98
* Thu Jul  9 2009 dmueller@suse.de
- update to 4.2.96
* Thu Jul  2 2009 beineri@opensuse.org
- make lokalize require python-kde4 (bnc#517869)
* Wed Jun 24 2009 dmueller@suse.de
- update to 4.2.95
* Sat Jun 20 2009 beineri@opensuse.org
- drop kde4- package prefixes
* Wed Jun  3 2009 dmueller@suse.de
- update to 4.2.90
* Wed May 27 2009 dmueller@suse.de
- update to 4.2.88svn973768
* Tue May 19 2009 dmueller@suse.de
- update to 4.2.87svn969966
* Mon May 18 2009 dmueller@suse.de
- update to 4.2.86svn967995
* Thu May 14 2009 dmueller@suse.de
- update to 4.2.85 (KDE 4.3 Beta1)
* Thu Apr 30 2009 dmueller@suse.de
- update to 4.2.3
  * see http://kde.org/announcements/changelogs/changelog4_2_2to4_2_3.php
* Fri Mar 27 2009 dmueller@suse.de
- update to 4.2.2
  * see http://kde.org/announcements/changelogs/changelog4_2_1to4_2_2.php
* Fri Feb 27 2009 dmueller@suse.de
- update to 4.2.1
  * see http://kde.org/announcements/changelogs/changelog4_2_0to4_2_1.php
* Thu Feb 19 2009 dmueller@suse.de
- update branch diff
* Thu Jan 22 2009 dmueller@suse.de
- update to 4.2.0
* Fri Jan 16 2009 dmueller@suse.de
- remove unnecessary patch
* Tue Jan 13 2009 dmueller@suse.de
- update to 4.1.96
* Fri Jan  9 2009 dmueller@suse.de
- update to 4.1.87 (KDE 4.2 Januar snapshot)
* Tue Dec 16 2008 dmueller@suse.de
- libical-devel isalready included by kdepimlibs-devel
* Tue Dec 16 2008 stbinner@suse.de
- versionized split-provides are not supported
* Sat Nov 29 2008 stbinner@suse.de
- fix build after removal of libical copy from kdepimlibs
* Thu Nov 20 2008 stbinner@suse.de
- add SLE provides
* Fri Oct 31 2008 dmueller@suse.de
- update to 4.1.3
  * see http://kde.org/announcements/changelogs/changelog4_1_2to4_1_3.php
* Thu Sep 25 2008 dmueller@suse.de
- update to 4.1.2
  * see http://kde.org/announcements/changelogs/changelog4_1_1to4_1_2.php
* Thu Aug 28 2008 dmueller@suse.de
- update to 4.1.1
  * see http://kde.org/announcements/changelogs/changelog4_1to4_1_1.php
* Wed Aug 13 2008 dmueller@suse.de
- branch diff update
* Wed Jul 23 2008 dmueller@suse.de
- update to 4.1.0
* Fri Jul 18 2008 dmueller@suse.de
- update to 4.0.99
* Fri Jul 11 2008 dmueller@suse.de
- update to 4.0.98
* Thu Jul  3 2008 dmueller@suse.de
- update to 4.0.85
* Tue Jul  1 2008 dmueller@suse.de
- add directory ownerships
* Thu Jun 26 2008 dmueller@suse.de
- update to 4.0.84
* Wed Jun 18 2008 dmueller@suse.de
- update to 4.0.83
* Sat Jun 14 2008 schwab@suse.de
- Use -mminimal-toc on ppc64.
* Tue Jun 10 2008 dmueller@suse.de
- update to 4.0.82
* Mon Jun  9 2008 dmueller@suse.de
- update to 4.0.81
* Thu May  1 2008 dmueller@suse.de
- update to 4.0.4
  * http://www.kde.org/announcements/changelogs/changelog4_0_3to4_0_4.php
* Mon Apr 21 2008 dmueller@suse.de
- branch diff update
  * fix time parsing in cervisia
* Thu Mar 27 2008 dmueller@suse.de
- update to 4.0.3
* Wed Feb 27 2008 dmueller@suse.de
- update to 4.0.2
* Fri Feb 15 2008 dmueller@suse.de
- update 4_0_BRANCH.diff
* Thu Jan 31 2008 dmueller@suse.de
- update to 4.0.1
* Sun Jan 20 2008 stbinner@suse.de
- update KDE_4_0_BRANCH.diff
* Sat Jan  5 2008 dmueller@suse.de
- update to 4.0
* Wed Jan  2 2008 stbinner@suse.de
- update to 3.97.2
* Sun Dec 16 2007 dmueller@suse.de
- update to 3.97.1
* Sat Dec  8 2007 dmueller@suse.de
- update to 3.97.0
* Sat Dec  8 2007 stbinner@suse.de
- fix build
* Tue Dec  4 2007 dmueller@suse.de
- update to 3.96.3
* Wed Nov 28 2007 dmueller@suse.de
- update to 3.96.2
* Wed Nov 21 2007 dmueller@suse.de
- update to 3.96.1
* Wed Nov 14 2007 dmueller@suse.de
- update to 3.96.0
* Wed Nov  7 2007 dmueller@suse.de
- update to 3.95.2
* Thu Nov  1 2007 dmueller@suse.de
- update to 3.95.1
* Wed Oct 31 2007 dmueller@suse.de
- update to KDE 4.0 Beta4
* Sat Oct 20 2007 dmueller@suse.de
- update to 3.94.1
* Thu Oct 11 2007 dmueller@suse.de
- udpate to KDE 4.0 Beta3
* Tue Oct  2 2007 stbinner@suse.de
- update to 3.93.0.svn720133
* Wed Sep 26 2007 stbinner@suse.de
- update to 3.93.0.svn717255
* Thu Sep 13 2007 stbinner@suse.de
- update to 3.93.0.svn712063
* Sat Sep  1 2007 stbinner@suse.de
- update to KDE 4.0 Beta 2
* Thu Aug 23 2007 stbinner@suse.de
- update to 3.92.0.svn703915
* Thu Aug 16 2007 stbinner@suse.de
- update to 3.92.0.svn700768
* Thu Aug  9 2007 stbinner@suse.de
- update to 3.92.0.svn697375
- fix file conflict
* Tue Aug  7 2007 stbinner@suse.de
- fix build after strigi update
* Sun Jul 29 2007 stbinner@suse.de
- update to KDE 4.0 Beta 1
* Thu Jul 12 2007 stbinner@suse.de
- update to 3.91.0.svn685971
* Sat Jun 23 2007 stbinner@suse.de
- update to 3.90.1.svn679147
* Fri Jun  8 2007 stbinner@suse.de
- update to 3.90.1.svn670093
* Fri Jun  1 2007 coolo@suse.de
- simplify spec file by using macros from kde4-filesystem
* Thu May 24 2007 stbinner@suse.de
- initial package in abuild
